ghc-7.0.3: The GHC API

SetLevels

# Documentation

setLevels :: FloatOutSwitches -> [CoreBind] -> UniqSupply -> [LevelledBind]

data Level

Constructors

Level Int Int |

Instances

Eq Level |
Outputable Level |

tOP_LEVEL :: Level

type LevelledBind = TaggedBind Level

type LevelledExpr = TaggedExpr Level

incMinorLvl :: Level -> Level

ltMajLvl :: Level -> Level -> Bool

ltLvl :: Level -> Level -> Bool

isTopLvl :: Level -> Bool